> For the complete documentation index, see [llms.txt](https://docs.mydbsync.com/cloud-replication-main/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mydbsync.com/cloud-replication-main/v8/key-features/global-prefix-for-table-and-column-names.md).

# Global prefix for Table & Column names

It is advisable to prefix table & column names while replicating Source into Database. Now DBSync Cloud Replication allows including prefix for table & column names globally for all the profiles in Replication console. Also each profile can have different prefix. This section shows the steps involved in including prefix for table and column name.

### Global prefix <a href="#globalprefixfortable-and-columnnames-globalprefix" id="globalprefixfortable-and-columnnames-globalprefix"></a>

* To include prefix on table & column names of all the profiles, go to *system.properties* in the below path.

<\<Installation Folder>>\dbsync-repl\WEB-INF\db\conf

* Include the prefix in the below commands of system.properties

column.prefix=<\<prefix>>\
table.prefix=<\<prefix>>

* Example:

column.prefix=sfc\
table.prefix=sft

### Profile prefix <a href="#globalprefixfortable-and-columnnames-profileprefix" id="globalprefixfortable-and-columnnames-profileprefix"></a>

* To include prefix on table & column names of any specific profile go to config.properties under that specific profile in the below path. All the profiles will listed. Open the required profile folder to find config.properties

<\<Installation Folder>>\dbsync-repl\WEB-INF\db

* Include the prefix in the below commands of config.properties

column.prefix=<\<prefix>>\
table.prefix=<\<prefix>>

* Example:

column.prefix=sfc\
table.prefix=sft

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mydbsync.com/cloud-replication-main/v8/key-features/global-prefix-for-table-and-column-names.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
